#include <Common.h>
#include <System/SysAll.h>
#include <UI/UIAll.h>

#include "PalmTech.h"
#include "Resource.h"

Boolean AboutProc (EventPtr event)
{
    FormPtr fpForm;
    Int iHandled = 0;

    switch (event->eType) 
    {
        case frmOpenEvent:
        {
            fpForm = FrmGetActiveForm();
            FrmSetFocus(fpForm, FrmGetObjectIndex(fpForm, IDC_OK));
            FrmDrawForm(fpForm);
            iHandled = 1;
            break;
        }
        case ctlSelectEvent:
            switch (event->data.ctlEnter.controlID)
            {
                case IDC_OK:
                    FrmReturnToForm(0);
                    break;
            }
            iHandled = 1;
            break;
    }

    return iHandled;
}
