#ifndef __HITLOC_H
#define __HITLOC_H          1

#define SIDE_FRONT          0
#define SIDE_REAR           1
#define SIDE_LEFT           2
#define SIDE_RIGHT          3

#define LOCATION_NORMAL     0
#define LOCATION_PUNCH      1
#define LOCATION_KICK       2
#define LOCATION_ABOVE      3
#define LOCATION_BELOW      4

#define HIT_NONE            0
#define HIT_HEAD            1
#define HIT_CENTER_TORSO    2
#define HIT_LEFT_TORSO      3
#define HIT_RIGHT_TORSO     4
#define HIT_LEFT_ARM        5
#define HIT_RIGHT_ARM       6
#define HIT_LEFT_LEG        7
#define HIT_RIGHT_LEG       8
#define HIT_CENTER_CRIT     9
#define HIT_LEFT_CRIT       10
#define HIT_RIGHT_CRIT      11

// ************************************************************* //

typedef Byte HitLocation;
typedef HitLocation *HitLocationPtr;

typedef struct _tagHitChart
{
    Int iNumber;
    Int iDie;
    HitLocationPtr phlLocations;
} HitChart;
typedef HitChart *HitChartPtr;

// ************************************************************* //

Boolean HitLocationProc(EventPtr event);
void DrawHitLocation (Boolean bErase, Int iX, Int iY);

// ************************************************************* //

extern HitLocation g_hlLocation;

#endif
